From d33f72fb372ea7d73eb7fa8aab392622a1e24e6a Mon Sep 17 00:00:00 2001
From: Ralf Jung <jung@mpi-sws.org>
Date: Sun, 12 May 2019 20:14:47 +0200
Subject: [PATCH] add script to build all reverse dependencies

---
 .gitignore |  1 +
 build-all  | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)
 create mode 100755 build-all

diff --git a/.gitignore b/.gitignore
index 71079837b..b61234045 100644
--- a/.gitignore
+++ b/.gitignore
@@ -15,3 +15,4 @@ build-dep/
 Makefile.coq
 Makefile.coq.conf
 *.crashcoqide
+.env
diff --git a/build-all b/build-all
new file mode 100755
index 000000000..cb81c68ff
--- /dev/null
+++ b/build-all
@@ -0,0 +1,34 @@
+#!/bin/bash
+set -eo pipefail
+
+# A script to build Iris' reverse-dependencies (the one that usually get built every night against Iris master)
+# against a branch of your choice.
+# Set the GITLAB_TOKEN environment variable to a GitLab access token.
+# Set at least one of IRIS_REV or STDPP_REV to control which branches of these projects to build against
+# (default to `master`).
+
+if [[ -z "$GITLAB_TOKEN" ]]; then
+    echo "You need to set the GITLAB_TOKEN environment variable to a GitLab access token."
+    echo "You can create such tokens at <https://gitlab.mpi-sws.org/profile/personal_access_tokens>."
+    echo "Make sure you grant access to the 'api' scope."
+    exit 1
+fi
+
+IRIS_REV=${IRIS_REV:-master}
+STDPP_REV=${STDPP_REV:-master}
+
+curl --fail -sS -X POST https://gitlab.mpi-sws.org/api/v4/projects/iris%2Flambda-rust/pipeline \
+     --header "PRIVATE-TOKEN: $GITLAB_TOKEN" \
+     --header "Content-Type: application/json" \
+     --data '{ "ref": "master", "variables": [ {"key": "STDPP_REV", "value": "'"$STDPP_REV"'"}, {"key": "IRIS_REV", "value": "'"$IRIS_REV"'"} ] }'
+echo
+curl --fail -sS -X POST https://gitlab.mpi-sws.org/api/v4/projects/iris%2Flambda-rust/pipeline \
+     --header "PRIVATE-TOKEN: $GITLAB_TOKEN" \
+     --header "Content-Type: application/json" \
+     --data '{ "ref": "ci/weak_mem", "variables": [ {"key": "STDPP_REV", "value": "'"$STDPP_REV"'"}, {"key": "IRIS_REV", "value": "'"$IRIS_REV"'"}, {"key": "ORC11_REV", "value": "master"}, {"key": "GPFSL_REV", "value": "master"} ] }'
+echo
+curl --fail -sS -X POST https://gitlab.mpi-sws.org/api/v4/projects/iris%2Firon/pipeline \
+     --header "PRIVATE-TOKEN: $GITLAB_TOKEN" \
+     --header "Content-Type: application/json" \
+     --data '{ "ref": "master", "variables": [ {"key": "STDPP_REV", "value": "'"$STDPP_REV"'"}, {"key": "IRIS_REV", "value": "'"$IRIS_REV"'"} ] }'
+echo
-- 
GitLab